com.google.gwt.user.client.ui

## Class SuggestionEvent

- java.lang.Object
- - java.util.EventObject
  - - com.google.gwt.user.client.ui.SuggestionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SuggestionEvent
      extends java.util.EventObject

  Event object containing information about the selection of a `SuggestOracle.Suggestion` displayed by a `SuggestBox`.
  See Also:
    `SuggestBox.addEventHandler(SuggestionHandler)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestionEvent(SuggestBox sender, SuggestOracle.Suggestion selectedSuggestion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SuggestOracle.Suggestion` | `getSelectedSuggestion()` Gets the `Suggestion` object for the suggestion chosen by the user.
    `java.lang.String` | `toString()` Returns the string representation of this event object.

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestionEvent

          public SuggestionEvent(SuggestBox sender,
                                 SuggestOracle.Suggestion selectedSuggestion)

  - ### Method Detail

    - #### getSelectedSuggestion

          public SuggestOracle.Suggestion getSelectedSuggestion()

      Gets the `Suggestion` object for the suggestion chosen by the user.
      Returns:
        the `Suggestion` object for the selected suggestion

    - #### toString

          public java.lang.String toString()

      Returns the string representation of this event object. The string contains the string representation of the SuggestBox from which the event originated (the source), and the string representation of the Suggestion that was selected.
      Overrides:
        `toString` in class `java.util.EventObject`
      Returns:
        the string representation of this event object containing the source SuggestBox and the selected Suggestion